Gecode::FlatZinc::AST::String Class Reference

String node More...

`#include <ast.hh>`

## Public Member Functions

| String (const std::string &s0)
virtual void | print (std::ostream &os)
| Output string representation.
Public Member Functions inherited from Gecode::FlatZinc::AST::Node
virtual | ~Node (void)
| Destructor.
void | append (Node *n)
| Append n to an array node.
bool | hasAtom (const std::string &id)
| Test if node has atom with id.
bool | isInt (int &i)
| Test if node is int, if yes set i to the value.
bool | isFloat (double &i)
| Test if node is float, if yes set d to the value.
bool | isCall (const std::string &id)
| Test if node is function call with id.
Call * | getCall (void)
| Return function call.
bool | hasCall (const std::string &id)
| Test if node is function call or array containing function call id.
Call * | getCall (const std::string &id)
| Return function call id.
Array * | getArray (void)
| Cast this node to an array node.
Atom * | getAtom (void)
| Cast this node to an Atom node.
std::string | getVarName (void)
| Return name of variable represented by this node.
int | getIntVar (void)
| Cast this node to an integer variable node.
int | getBoolVar (void)
| Cast this node to a Boolean variable node.
int | getFloatVar (void)
| Cast this node to a Float variable node.
int | getSetVar (void)
| Cast this node to a set variable node.
int | getInt (void)
| Cast this node to an integer node.
bool | getBool (void)
| Cast this node to a Boolean node.
double | getFloat (void)
| Cast this node to a Float node.
SetLit * | getSet (void)
| Cast this node to a set literal node.
std::string | getString (void)
| Cast this node to a string node.
bool | isIntVar (void)
| Test if node is an integer variable node.
bool | isBoolVar (void)
| Test if node is a Boolean variable node.
bool | isSetVar (void)
| Test if node is a set variable node.
bool | isFloatVar (void)
| Test if node is a float variable node.
bool | isInt (void)
| Test if node is an integer node.
bool | isFloat (void)
| Test if node is a float node.
bool | isBool (void)
| Test if node is a Boolean node.
bool | isString (void)
| Test if node is a string node.
bool | isArray (void)
| Test if node is an array node.
bool | isSet (void)
| Test if node is a set literal node.
bool | isAtom (void)
| Test if node is an atom node.

## Public Attributes

std::string | s

## Detailed Description

String node

Definition at line 300 of file ast.hh.

## Constructor & Destructor Documentation

## String()

Gecode::FlatZinc::AST::String::String | ( | const std::string & | s0 | ) |

inline

Definition at line 303 of file ast.hh.

## Member Function Documentation

## print()

virtual void Gecode::FlatZinc::AST::String::print | ( | std::ostream & |  | ) |

inline virtual

Output string representation.

Implements Gecode::FlatZinc::AST::Node.

Definition at line 304 of file ast.hh.

## Member Data Documentation

## s

std::string Gecode::FlatZinc::AST::String::s

Definition at line 302 of file ast.hh.

The documentation for this class was generated from the following file:

- gecode/flatzinc/ast.hh